> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yapcoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Liveness check

> Returns 200 OK if the server is running.



## OpenAPI

````yaml get /alive
openapi: 3.0.0
info:
  title: YapCoder API
  description: API for YapCoder - Developer Reputation and Analytics Platform
  version: 1.0.0
servers:
  - url: https://api.yapcoder.com
    description: Local development server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: healthchecks
    description: Service health and readiness checks
  - name: developers
    description: Developer management and analytics
  - name: projects
    description: Project analytics and repository details
  - name: sui
    description: Sui ecosystem packages and data
paths:
  /alive:
    get:
      tags:
        - healthchecks
      summary: Liveness check
      description: Returns 200 OK if the server is running.
      operationId: AliveCheck
      responses:
        '200':
          description: Server is alive
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````